slag2d.f(3)

NAME
slag2d.f -

SYNOPSIS

  Functions/Subroutines
subroutine SLAG2D (M, N, SA, LDSA, A, LDA, INFO)
SLAG2D

Function/Subroutine Documentation

  subroutine SLAG2D (INTEGERM, INTEGERN, REAL, dimension( ldsa, * )SA, INTEGERLDSA, DOUBLE PRECISION, dimension( lda, * )A, INTEGERLDA, INTEGERINFO)

SLAG2D

Purpose:

     SLAG2D converts a SINGLE PRECISION matrix, SA, to a DOUBLE
     PRECISION matrix, A.
     Note that while it is possible to overflow while converting
     from double to single, it is not possible to overflow when
     converting from single to double.
     This is an auxiliary routine so there is no argument checking.

Parameters:
    M

              M is INTEGER
              The number of lines of the matrix A.  M >= 0.

    N

              N is INTEGER
              The number of columns of the matrix A.  N >= 0.

    SA

              SA is REAL array, dimension (LDSA,N)
              On entry, the M-by-N coefficient matrix SA.

    LDSA

              LDSA is INTEGER
              The leading dimension of the array SA.  LDSA >= max(1,M).

    A

              A is DOUBLE PRECISION array, dimension (LDA,N)
              On exit, the M-by-N coefficient matrix A.

    LDA

              LDA is INTEGER
              The leading dimension of the array A.  LDA >= max(1,M).

    INFO

              INFO is INTEGER
              = 0:  successful exit

Author:
    Univ'. of Tennessee

    Univ'. of California Berkeley

    Univ'. of Colorado Denver

    NAG Ltd'.

Date:
    November 2011

Definition at line 105 of file slag2d.f'.

Author

Generated automatically by Doxygen for LAPACK from the source code'.